@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap');

@font-face {
    font-family: 'android';
    src: url('fonts/idroid.otf') format('opentype');
}

:root {
    --cor0: #16380c;
    --cor1: #3a8325;
    --cor2: #30DB00;
    --cor3: #ABFF94;
    --cor4: #D7FFCC;

}

* {
    margin: 0px;
    padding: 0px;
}

body {
    font-family: 'Plus Jakarta Sans', Arial, Helvetica, sans-serif;
    background-color: var(--cor3);
    padding: 10px;
}

header {
    background-image: linear-gradient(180deg, var(--cor2), var(--cor1));
    margin: -10px -10px 0px -10px;
    padding: 10px 20px 5px 20px;
}

header > h1 {
    font-family: 'Plus Jakarta Sans', Arial, Helvetica, sans-serif;
    font-weight: bolder;
    font-size: 2em;
    text-align: center;
    color: #fff;
    text-shadow: 2px 2px 4px #00000080;
}

#slogan {
    text-align: center;
    width: 300px;
    margin: auto;
    padding: 30px 0px;
    color: #fff;
    text-shadow: 2px 2px 4px #00000080;
}

nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
}

nav > a {
    padding: 15px;
    margin: 5px 5px;
    background-color: var(--cor1);
    color: #fff;
    text-decoration: none;
    font-weight: bolder;
    border-radius: 10px;
}

nav a:hover {
    background-color: var(--cor2);
    color: var(--cor0);
    transition-duration: 0.5s;
}

main {
    background-color: #fff;
    min-width: 280px;
    max-width: 600px;
    margin: auto;
    padding: 20px;
    border-radius: 0px 0px 15px 15px;
    box-shadow: 5px 5px 10px #00000080;
}

h1 {
    font-family: 'android', Arial, Helvetica, sans-serif;
    color: var(--cor1);
    font-size: 2em;
}

h2 {
    font-family: 'android', Arial, Helvetica, sans-serif;
    color: var(--cor1);
    background-image: linear-gradient(90deg, var(--cor3), #fff);
    padding: 5px;
}

main p {
    margin: 20px 0px;
    text-indent: 30px;
    text-align: justify;
    font-size: 0.8em;
}

main  strong {
    font-weight: bolder;
    color: var(--cor1);
}

main a[target="_blank"] {
    color:var(--cor1);
    text-decoration: none;
    font-weight: bold;
    background-color: #abff9480;
}

main a[target="_blank"]:hover{
    text-decoration: underline;
    color: var(--cor2);
}

main a[target="_blank"]::after {
  content: " 🔗";
}

img {
    width: 100%;
    display: block;
    margin: auto;
}

#bugdroid {
    max-width: 300px;
}

div.video {
    background-color: var(--cor0);
    margin: 0px -20px 20px -20px;
    padding: 0px;
    padding-bottom: 60%;
    position: relative;
}

div.video > iframe {
    position: absolute;
    top: 2.5%;
    left: 2.5%;
    width: 95%;
    height: 95%;
}

aside {
    background-color: var(--cor4);
    padding: 10px;
    border-radius:15px;
    box-shadow: 2px 2px 5px #00000080;
}

h3 {
    background-color: var(--cor1);
    color: #fff;
    padding: 20px;
    margin: -10px -10px 0px -10px;
    border-radius: 15px 15px 0px 0px;
}

aside ul {
    list-style-type: '\2714\00A0\00A0';
    list-style-position: inside;
    columns: 2;
    font-size: 0.8em;
}

footer {
    color: #fff;
    width: 100%;
    background-color: var(--cor0);
    text-align: center;
    padding: 10px;
    margin: 50px -10px -10px -10px;
}

footer > a {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
}

footer > a:hover {
    color: #ABFF94;
    text-decoration: underline;
}